Show / Hide Table of Contents

# Class OpenIddictValidationEvents.BaseRequestContext

Represents an abstract base class used for certain event contexts.

##### Inheritance

System.Object
OpenIddictValidationEvents.BaseContext
OpenIddictValidationEvents.BaseRequestContext
OpenIddictValidationEvents.BaseValidatingContext
OpenIddictValidationEvents.ProcessErrorContext

##### Inherited Members

OpenIddictValidationEvents.BaseContext.Transaction
OpenIddictValidationEvents.BaseContext.EndpointType
OpenIddictValidationEvents.BaseContext.Issuer
OpenIddictValidationEvents.BaseContext.Logger
OpenIddictValidationEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public abstract class BaseRequestContext : OpenIddictValidationEvents.BaseContext

### Constructors

#### BaseRequestContext(OpenIddictValidationTransaction)

Creates a new instance of the OpenIddictValidationEvents.BaseRequestContext class.

##### Declaration

    protected BaseRequestContext(OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction |

### Properties

#### IsRequestHandled

Gets a boolean indicating whether the request was fully handled.

##### Declaration

    public bool IsRequestHandled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### IsRequestSkipped

Gets a boolean indicating whether the request processing was skipped.

##### Declaration

    public bool IsRequestSkipped { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### HandleRequest()

Marks the request as fully handled. Once declared handled, a request shouldn't be processed further by the underlying host.

##### Declaration

    public void HandleRequest()

#### SkipRequest()

Marks the request as skipped. Once declared skipped, a request shouldn't be processed further by OpenIddict but should be allowed to go through the next components in the processing pipeline (if this pattern is supported by the underlying host).

##### Declaration

    public void SkipRequest()